> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# トリアージ申請を承認

> 全ユーザーが自分の申請を確認できます。Can approve or reject triage requests権限（`heeler.approve_triage_request`）を持つ審査担当者は他の申請も確認できます。プロジェクトのアクセス制御が適用される場合は、すべての対象プロジェクトへのアクセス権が必要です。表示対象外の申請は404を返します。 審査担当者は申請者と別のユーザーで、Can approve or reject triage requests権限、各問題種別の状態変更権限、および申請に含まれるすべてのプロジェクトへのアクセス権が必要です。任意のcommentは最大10,000文字で、申請者に送信されます。承認は、申請後に別のトリアージ変更があっても決定を適用しますが、申請後に修正または削除された問題は除外します。409の場合は申請を再取得してから再試行してください。



## OpenAPI

````yaml /ja/api-reference/openapi.json post /triage/approvals/{action_id}/approve
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /triage/approvals/{action_id}/approve:
    post:
      tags:
        - トリアージ
      summary: トリアージ申請を承認
      description: >-
        全ユーザーが自分の申請を確認できます。Can approve or reject triage
        requests権限（`heeler.approve_triage_request`）を持つ審査担当者は他の申請も確認できます。プロジェクトのアクセス制御が適用される場合は、すべての対象プロジェクトへのアクセス権が必要です。表示対象外の申請は404を返します。
        審査担当者は申請者と別のユーザーで、Can approve or reject triage
        requests権限、各問題種別の状態変更権限、および申請に含まれるすべてのプロジェクトへのアクセス権が必要です。任意のcommentは最大10,000文字で、申請者に送信されます。承認は、申請後に別のトリアージ変更があっても決定を適用しますが、申請後に修正または削除された問題は除外します。409の場合は申請を再取得してから再試行してください。
      operationId: approveTriageApproval
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                comment:
                  type: string
                  maxLength: 10000
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                  approval:
                    $ref: '#/components/schemas/TriageApproval'
        '400':
          description: 無効なリクエスト
        '401':
          description: トークンがないか無効
        '403':
          description: 権限またはプランのアクセスが不足
        '404':
          description: 申請が存在しないかアクセス対象外
        '405':
          description: 未対応のHTTPメソッド
        '409':
          description: 申請は保留中でないか審査中
components:
  schemas:
    TriageApproval:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
        source:
          type: string
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
        decision_label:
          type: string
        requester:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        review_comment:
          type: string
          nullable: true
        finding_total:
          type: integer
        finding_previews:
          type: array
          maxItems: 3
          items:
            type: object
            properties:
              kind:
                type: string
                enum:
                  - sast
                  - sca
              id:
                type: string
              title:
                type: string
              severity:
                type: string
              location:
                type: string
        project_names:
          type: array
          items:
            type: string
        skip_count:
          type: integer
        closed_by_rescan:
          type: boolean
        can_review:
          type: boolean
        is_requester:
          type: boolean
        suggestion:
          type: object
          nullable: true
        investigation:
          type: object
          nullable: true
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.